@import url("https://fonts.googleapis.com/css?family=Lato:400,700");
* {
  box-sizing: border-box;
}

body, html {
  height: 100%;
}



.containerbutton {
  width: auto;
  margin: auto;
  text-align: end;
}

a {
  text-transform: uppercase;
  text-decoration: none;
  font-weight: 700;
}

@-webkit-keyframes top {
  from {
    -webkit-transform: translate(0rem, 0);
            transform: translate(0rem, 0);
  }
  to {
    -webkit-transform: translate(0rem, 3.5rem);
            transform: translate(0rem, 3.5rem);
  }
}

@keyframes top {
  from {
    -webkit-transform: translate(0rem, 0);
            transform: translate(0rem, 0);
  }
  to {
    -webkit-transform: translate(0rem, 3.5rem);
            transform: translate(0rem, 3.5rem);
  }
}
@-webkit-keyframes bottom {
  from {
    -webkit-transform: translate(-11.5rem, 0);
            transform: translate(-11.5rem, 0);
  }
  to {
    -webkit-transform: translate(0rem, 0);
            transform: translate(0rem, 0);
  }
}
@keyframes bottom {
  from {
    -webkit-transform: translate(-11.5rem, 0);
            transform: translate(-11.5rem, 0);
  }
  to {
    -webkit-transform: translate(0rem, 0);
            transform: translate(0rem, 0);
  }
}
.btn {
  position: relative;
  letter-spacing: 0.15em;
  margin: 0 auto;
  padding: 1rem 2.5rem;
  background: transparent;
  outline: none;
  font-size:150%;
  color: rgba(140,198,22,1);
  transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.55) 0.15s;
}
.btn::after, .btn::before {
  content: "";
  position: absolute;
  height: 20%;
  width: 5%;
  transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  z-index: -2;
  border-radius: 50%;
}
.btn::before {
  background-color:  rgba(140,198,22,1);
  top: -0.75rem;
  left: 0.5rem;
  -webkit-animation: top 2s cubic-bezier(0.68, -0.55, 0.265, 1.55) 0.25s infinite alternate;
          animation: top 2s cubic-bezier(0.68, -0.55, 0.265, 1.55) 0.25s infinite alternate;
}
.btn::after {
  background-color:  rgba(140,198,62,1);
  top: 3rem;
  left: 13rem;
  -webkit-animation: bottom 2s cubic-bezier(0.68, -0.55, 0.265, 1.55) 0.5s infinite alternate;
          animation: bottom 2s cubic-bezier(0.68, -0.55, 0.265, 1.55) 0.5s infinite alternate;
}
.btn:hover {
  color: white;
}
.btn:hover::before, .btn:hover::after {
  top: 0;
  height: 100%;
  width: 100%;
  border-radius: 0;
  -webkit-animation: none;
          animation: none;
}
.btn:hover::after {
  left: 0rem;
}
.btn:hover::before {
  top: 0.5rem;
  left: 0.35rem;
}
